> ## Documentation Index
> Fetch the complete documentation index at: https://docs.series.hr/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Session

> Retrieve session details

Retrieve detailed information about a specific session. For **Premium/Enterprise** workspaces, the response includes `CustomRoles` if the session has any.

## Request

```bash theme={null}
curl -X GET https://api.series.hr/sessions/get/session_abc123 \
  -H "apikey: YOUR_API_KEY"
```

## Parameters

<ParamField path="sessionId" type="string" required>
  The session ID to retrieve
</ParamField>

## Response

<ResponseField status={200} name="200">
  ```json theme={null}
  {
    "success": true,
    "data": {
      "SessionId": "session_1234567890_abc12345678",
      "WorkspaceId": "workspace_abc123",
      "Title": "Training Session",
      "Host": "714760171",
      "CoHost": "123456789",
      "Supervisor": "987654321",
      "Scheduled": "2024-01-20T15:00:00.000Z",
      "Delayed": false,
      "Status": "upcoming",
      "Claimable": true,
      "Duration": 60,
      "MinHostRank": 50,
      "CustomRoles": {
        "Trainer": {
          "MinRank": 25,
          "Permissions": {
            "ChangeSessionStatus": false,
            "PassOrFailAttendees": true,
            "ModifyAttendance": true
          },
          "Slots": {
            "714760171": { "Attended": false },
            "VACANT_1": { "Attended": false }
          }
        }
      }
    }
  }
  ```
</ResponseField>

<Note>The `CustomRoles` field is only included for **Premium/Enterprise** workspaces that have custom roles configured on the session.</Note>


## OpenAPI

````yaml GET /sessions/get/{sessionId}
openapi: 3.0.0
info:
  title: Series API
  version: 1.0.0
  description: >-
    Series API — a free REST API by Sailboat Games, LLC that lets Roblox
    communities programmatically manage workspaces, staff, sessions, time-off
    and activity data.
  contact:
    name: Sailboat Games, LLC.
    email: admin@sailboatgames.com
servers:
  - url: https://api.series.hr
    description: Production API
security:
  - ApiKeyAuth: []
paths:
  /sessions/get/{sessionId}:
    get:
      tags:
        - Sessions
      summary: Get Session
      description: Retrieve session details
      parameters:
        - name: sessionId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Session details
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: >-
        Pass your API key in the `apikey` header. Alternatively, the `x-api-key`
        header is also accepted.

````